## ros-jazzy-camera-calibration 5.0.1

=== debian/changelog ===
ros-jazzy-camera-calibration (5.0.1-3bookworm) bookworm; urgency=high

  * Fix spelling error for cv2.aruco.DICT from 6x6_50 to 7x7_1000 (#961 <https://github.com/ros-perception/image_pipeline/issues/961>)
    There was mismatch of capitalisation of "X" for OpenCV
    cv2.aruco.DICT_n**X**n_ in camera_calibration package for dicts 6x6_50
    to 7x7_1000
    Co-authored-by: Vishal Balaji <mailto:vishal.balaji@schanzer-racing.de>
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate camera_calibration documentation (#937 <https://github.com/ros-perception/image_pipeline/issues/937>)
  * install tarfile_calibration (#923 <https://github.com/ros-perception/image_pipeline/issues/923>)
    otherwise, it can't be run easily
  * calibration: better warnings around board configuration #713 <https://github.com/ros-perception/image_pipeline/issues/713> (#724 <https://github.com/ros-perception/image_pipeline/issues/724>)
  * Contributors: Michael Ferguson, Vishal Balaji, jonathanTIE

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-camera-calibration (5.0.0-3bookworm) bookworm; urgency=high

  * ROS 2: Added more aruco dicts, fixed aruco linerror bug (#873 <https://github.com/ros-perception/image_pipeline/issues/873>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/795
  * ROS 2: Fixing thrown Exception in camerachecker.py (#871 <https://github.com/ros-perception/image_pipeline/issues/871>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/812
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * fix threading shutdown
  * use correct synchronous service call
  * use remap rules instead of parameters for services
  * remove duplicated definition of on_model_change
  * fix service check
  * remove commented code
  * Fix QoS incompatibility camera_calibration ROS2
  * perform calibration in another thread
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kenji Brameld, Michael Ferguson, Michal Wojcik

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-camera-calibration (3.0.1-3bookworm) bookworm; urgency=high

  * add python3-opencv to camera calibration dependency
  * port changes from #755 <https://github.com/ros-perception/image_pipeline/issues/755> to rolling branch
  * Contributors: Kenji Brameld

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-jazzy-camera-calibration (3.0.0-3bookworm) bookworm; urgency=high

  * Some small fixes noticed while reviewing.
  * fix premature camera model change in camera_calibration
  * Fix shebang lines for noetic python3
  * Update fisheye distortion model definition
  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>) (#585 <https://github.com/ros-perception/image_pipeline/issues/585>)
  * updated linear_error function to handle partial board views (#561 <https://github.com/ros-perception/image_pipeline/issues/561>)
  * Fix missing detected checkerboard points (#558 <https://github.com/ros-perception/image_pipeline/issues/558>)
  * ChArUco board, Noetic (#549 <https://github.com/ros-perception/image_pipeline/issues/549>)
  * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>: (#545 <https://github.com/ros-perception/image_pipeline/issues/545>)
  * Minimal Noetic (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * Apply #509 <https://github.com/ros-perception/image_pipeline/issues/509> and #526 <https://github.com/ros-perception/image_pipeline/issues/526> to Noetic Branch (#528 <https://github.com/ros-perception/image_pipeline/issues/528>)
  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Add a comment
  * Replace deque with a modified Queue, add --queue-size param
  * Remove print statement
  * Cosmetic changes
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * revert back
  * added missing imports
  * update pytest.ini
  * fixes to pass tests
  * rebase change
  * implemented fisheye mono and stereo calibration based on the melodic branch
  * trimmed whitespace at line endings
  * Update camera_calibration setup.cfg to use underscores (#688 <https://github.com/ros-perception/image_pipeline/issues/688>)
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fixed crash when rosargs are given (#597 <https://github.com/ros-perception/image_pipeline/issues/597>)
  * Contributors: Chris Lalancette, David Torres Ocaña, DavidTorresOcana, Gabor Soros, Jacob Perron, John Stechschulte, Joshua Whitley, Martin Valgur, Matthijs den Toom, Michael Carroll, Patrick Musau, Photon, Spiros Evangelatos, Victor Dubois, jaiveersinghNV, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-camera-calibration (2.2.1-3bookworm) bookworm; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)

