## ros-jazzy-camera-calibration 5.0.4

=== debian/changelog ===
ros-jazzy-camera-calibration (5.0.4-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-jazzy-camera-calibration (5.0.3-1bookworm) bookworm; urgency=high

  * Added stereo calibration using charuco board (backport #976 <https://github.com/ros-perception/image_pipeline/issues/976>) (#1002 <https://github.com/ros-perception/image_pipeline/issues/1002>)
    From #972 <https://github.com/ros-perception/image_pipeline/issues/972>
    Doing this first for rolling.
    This was a TODO in the repository, opening this PR to add this feature.
    - The main issue why this wasn't possible imo is the way mk_obj_points
    works. I'm using the inbuilt opencv function to get the points there.
    - The other is a condition when aruco markers are detected they are
    added as good points, This is fine in case of mono but in stereo these
    have to be the same number as the object points to find matches although
    this should be possible with aruco.<hr>This is an automatic backport of
    pull request #976 <https://github.com/ros-perception/image_pipeline/issues/976> done by [Mergify](https://mergify.com).
    Co-authored-by: Myron Rodrigues <mailto:41271144+MRo47@users.noreply.github.com>
  * Change camera info message to lower case (backport #1005 <https://github.com/ros-perception/image_pipeline/issues/1005>) (#1007 <https://github.com/ros-perception/image_pipeline/issues/1007>)
    Change camera info message to lower case since message type had been
    change in rolling and humble.
    [](https://github.com/ros2/common_interfaces/blob/rolling/sensor_msgs/msg/CameraInfo.msg)<hr>This
    is an automatic backport of pull request #1005 <https://github.com/ros-perception/image_pipeline/issues/1005> done by
    [Mergify](https://mergify.com).
    ---------
    Co-authored-by: SFhmichael <mailto:146928033+SFhmichael@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 15 Jul 2024 16:00:00 -0000

ros-jazzy-camera-calibration (5.0.2-1bookworm) bookworm; urgency=high

  * fix: cv2.aruco.interpolateCornersCharuco is deprecated (backport #979 <https://github.com/ros-perception/image_pipeline/issues/979>) (#980 <https://github.com/ros-perception/image_pipeline/issues/980>)
    There has been API Changes in the newer releases of opencv2 (from
    4.8.0). The PR addresses this by supporting both the old and new APIs.
    updated Syntax
    ```
    charucodetector = cv2.aruco.CharucoDetector(board)
    charuco_corners, charuco_ids, marker_corners, marker_ids = charucodetector.detectBoard(image)
    ```
    before 4.8.0
    ```
    marker_corners, marker_ids, rejectedImgPoints = cv2.aruco.detectMarkers( image, dictionary)
    retval, charuco_corners, charuco_ids = cv2.aruco.interpolateCornersCharuco( marker_corners, marker_ids, image, board)
    ```
    See the changed examples in the main opencv2 repo:
    https://github.com/opencv/opencv/blob/f9a59f2592993d3dcc080e495f4f5e02dd8ec7ef/samples/python/calibrate.py#L110<hr>This
    is an automatic backport of pull request #979 <https://github.com/ros-perception/image_pipeline/issues/979> done by
    [Mergify](https://mergify.com).
    Co-authored-by: Földi Tamás <mailto:tfoldi@xsi.hu>
  * Update for compatibility with image_pipeline 4.1.0 (#968 <https://github.com/ros-perception/image_pipeline/issues/968>)
    This is a PR to fix:
    - #966 <https://github.com/ros-perception/image_pipeline/issues/966>
    As noted in #966 <https://github.com/ros-perception/image_pipeline/issues/966>, as of writing image_pipeline [4.1.0 has been
    released](https://github.com/ros-perception/vision_opencv/releases/tag/4.1.0),
    is updated on
    [index.ros.org](https://index.ros.org/p/image_geometry/github-ros-perception-vision_opencv/#rolling),
    but it has not yet been migrated to
    [packages.ros.org](http://packages.ros.org/ros2/ubuntu/dists/noble/main/binary-amd64/Packages).
    As such camera_calibration will also require the source of
    [image_pipeline
    4.1.0](https://github.com/ros-perception/vision_opencv/releases/tag/4.1.0)
    or higher to successfully build.
    I tested to ensure successful build with colcon build & colcon test.
    Note that colcon test has the following warning that is out of scope of
    this PR:
    ```
    =============================== warnings summary ===============================
    src/camera_calibration/calibrator.py:47
    Warning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
    ```
    Please let me know if there are any questions, concerns, or requested
    changes.
  * replace disutils with python3-semver (#970 <https://github.com/ros-perception/image_pipeline/issues/970>)
    Fix for
    - #969 <https://github.com/ros-perception/image_pipeline/issues/969>
    I added a dependency for python3-semver to replace version parsing
    with disutils.
    Please let me know if you have any questions, concerns, or additional
    requested changes.
  * Contributors: Scott Monaghan, mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 16:00:00 -0000

ros-jazzy-camera-calibration (5.0.1-1bookworm) bookworm; urgency=high

  * Fix spelling error for cv2.aruco.DICT from 6x6_50 to 7x7_1000 (#961 <https://github.com/ros-perception/image_pipeline/issues/961>)
    There was mismatch of capitalisation of "X" for OpenCV
    cv2.aruco.DICT_n**X**n_ in camera_calibration package for dicts 6x6_50
    to 7x7_1000
    Co-authored-by: Vishal Balaji <mailto:vishal.balaji@schanzer-racing.de>
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog

